Scenarios

Delete Scenario

Delete an existing scenario. Only scenarios belonging to the organization associated with the API key can be deleted. This performs a soft delete.

DELETE
/v1/scenarios/{scenarioId}

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication for API access.

In: header

Path Parameters

scenarioId?number

The unique identifier of the scenario

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://api.sophiie.ai/v1/scenarios/{scenarioId}"
{
  "message": "Scenario deleted successfully"
}
{
  "success": false,
  "message": "Invalid or expired token",
  "error": {
    "status": 401,
    "message": "Invalid or expired token"
  }
}
{
  "success": false,
  "message": "Not found",
  "error": {
    "status": 404,
    "message": "Not found"
  }
}
{
  "success": false,
  "message": "Internal server error",
  "error": {
    "status": 500,
    "message": "Internal server error"
  }
}